Foxit PDF SDK

Public Types | Public Member Functions | Public Attributes | List of all members
foxit::addon::compliance::PreflightReportSettingData Class Reference

Inherits Object.

## Public Types
enum | ProblemsHighlightMethod { e_ProblemsHighlightMethodTransparentMasks = 0, e_ProblemsHighlightMethodLayers = 1 }
| Enumeration for the highlight method for preflight problems. More...
enum | ReportFileFormatType { e_ReportFileFormatTypePdf = 0, e_ReportFileFormatTypeXml = 1, e_ReportFileFormatTypeTxt = 2, e_ReportFileFormatTypeHtml = 3 }
| Enumeration for the preflight report file format type. More...

## Public Member Functions
| PreflightReportSettingData ()
| Constructor.
| PreflightReportSettingData (ReportFileFormatType report_file_format_type, bool to_generate_overview, bool to_highlight_problems, ProblemsHighlightMethod problem_highlight_method, const wchar_t *report_file_path)
| Constructor, with parameters. More...
PreflightReportSettingData & | operator= (const PreflightReportSettingData &data)
| Assign operator. More...

## Public Attributes
ProblemsHighlightMethod | problems_highlight_method
| The method highlight problems. Only effective when to_highlight_problems is true and report_file_format_type is PreflightReportSettingData::e_ReportFileFormatTypePdf. Please refer to values starting from PreflightReportSettingData::e_ProblemsHighlightMethodTransparentMasks and this should be one of these values.
ReportFileFormatType | report_file_format_type
| The report file format type. Please refer to values starting from PreflightReportSettingData::e_ReportFileFormatTypePdf and this should be one of these values.
WString | report_file_path
| A complete path for the report file. This should not be an empty string.
bool | to_generate_overview
| Whether to generate overview or not. true menas to generate overview, false means not.
bool | to_highlight_problems
| Whether to highlight problems or not. true menas to highlight problems, false means not.

## Detailed Description

This class represents setting data used for generating preflight report file.

## Member Enumeration Documentation

## ◆ ProblemsHighlightMethod

enum foxit::addon::compliance::PreflightReportSettingData::ProblemsHighlightMethod

Enumeration for the highlight method for preflight problems.

Values of this enumeration should be used alone.

Enumerator
e_ProblemsHighlightMethodTransparentMasks | Problems highlighted by transparent masks.
e_ProblemsHighlightMethodLayers | Problems highlighted by layers.

## ◆ ReportFileFormatType

enum foxit::addon::compliance::PreflightReportSettingData::ReportFileFormatType

Enumeration for the preflight report file format type.

Values of this enumeration should be used alone.

Enumerator
e_ReportFileFormatTypePdf | Report file format type: PDF.
e_ReportFileFormatTypeXml | Report file format type: XML.
e_ReportFileFormatTypeTxt | Report file format type: TXT & TEXT.
e_ReportFileFormatTypeHtml | Report file format type: HTML.

## Constructor & Destructor Documentation

## ◆ PreflightReportSettingData()

foxit::addon::compliance::PreflightReportSettingData::PreflightReportSettingData | ( | ReportFileFormatType | report_file_format_type,
|  | bool | to_generate_overview,
|  | bool | to_highlight_problems,
|  | ProblemsHighlightMethod | problem_highlight_method,
|  | const wchar_t * | report_file_path
| ) |  |
| inline

Constructor, with parameters.

Parameters

  [in] | report_file_format_type | The report file format type. Please refer to values starting from PreflightReportSettingData::e_ReportFileFormatTypePdf and this should be one of these values.
  [in] | to_generate_overview | Whether to generate overview or not. true menas to generate overview, false means not.
  [in] | to_highlight_problems | Whether to highlight problems or not.true menas to highlight problems, false means not.
  [in] | problems_highlight_method | The method highlight problems. Only effective when to_highlight_problems is true and report_file_format_type is PreflightReportSettingData::e_ReportFileFormatTypePdf. Please refer to values starting from PreflightReportSettingData::e_ProblemsHighlightMethodTransparentMasks and this should be one of these values.
  [in] | report_file_path | A complete path for the report file. This should not be an empty string.

Returns
  None.

## Member Function Documentation

## ◆ operator=()

PreflightReportSettingData& foxit::addon::compliance::PreflightReportSettingData::operator= | ( | const PreflightReportSettingData & | data | ) |
| inline

Assign operator.

Parameters

  [in] | data | Another preflight export setting data object, whose value would be assigned to current object.

Returns
  Reference to current object itself.